Skip to main content
Compute Management/VM Related Interfaces/vTPM-related APIs
GETvTPM-related APIsSince 5.0.0SynchronousAuth Required

Query TPM

Query TPM

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the query operation succeeded

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      TPM UUID

    • nameStringRequired

      TPM resource name

    • vmInstanceUuidStringRequired

      VM UUID

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • hostRefsListRequired

      For details, see hostRefs

  • errorErrorCodeRequired

    For details, see error

    • codeStringRequired

      Error code, a globally unique identifier of the error, for example, SYS.1000 or HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. The default value is null

    • opaqueLinkedHashMapRequired

      Reserved field. The default value is null

    • causeErrorCodeRequired

      Root error, which is the source error that caused the current error. If there is no source error, this field is null

Endpoint

GET/zstack/v1/tpms

/zstack/v1/tpms

Operation ID

QueryTpm

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/tpms' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "ff00de2d3ab43127b1abdac68f1e7f00", "name": "TPM-for-VM-ff01ec80fd11327cba7519b66119d900", "vmInstanceUuid": "ff01ec80fd11327cba7519b66119d900", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history